org.modeshape.sequencer.teiid.lexicon

## Interface RelationalLexicon.JcrId

- Enclosing interface:
    RelationalLexicon

      public static interface RelationalLexicon.JcrId

  JCR identifiers relating to the relational namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_PATTERN`
    `static String` | `ACCESS_PATTERN_HREFS`
    `static String` | `ACCESS_PATTERN_NAMES`
    `static String` | `ACCESS_PATTERN_XMI_UUIDS`
    `static String` | `ACCESS_PATTERNS`
    `static String` | `AUTO_INCREMENTED`
    `static String` | `AUTO_UPDATE`
    `static String` | `BASE_TABLE`
    `static String` | `CARDINALITY`
    `static String` | `CASE_SENSITIVE`
    `static String` | `CATALOG`
    `static String` | `CHARACTER_SET_NAME`
    `static String` | `COLLATION_NAME`
    `static String` | `COLUMN`
    `static String` | `COLUMN_NAMES`
    `static String` | `COLUMN_SET`
    `static String` | `COLUMN_XMI_UUIDS`
    `static String` | `COLUMNS`
    `static String` | `CURRENCY`
    `static String` | `DEFAULT_VALUE`
    `static String` | `DIRECTION`
    `static String` | `DISTINCT_VALUE_COUNT`
    `static String` | `FILTER_CONDITION`
    `static String` | `FIXED_LENGTH`
    `static String` | `FOREIGN_KEY`
    `static String` | `FOREIGN_KEY_HREFS`
    `static String` | `FOREIGN_KEY_MULTIPLICITY`
    `static String` | `FOREIGN_KEY_NAMES`
    `static String` | `FOREIGN_KEY_XMI_UUIDS`
    `static String` | `FOREIGN_KEYS`
    `static String` | `FORMAT`
    `static String` | `FUNCTION`
    `static String` | `INDEX`
    `static String` | `INDEX_HREFS`
    `static String` | `INDEX_NAMES`
    `static String` | `INDEX_XMI_UUIDS`
    `static String` | `INDEXES`
    `static String` | `LENGTH`
    `static String` | `MATERIALIZED`
    `static String` | `MAX_VALUE`
    `static String` | `MIN_VALUE`
    `static String` | `MULTIPLICITY`
    `static String` | `NAME_IN_SOURCE`
    `static String` | `NATIVE_TYPE`
    `static String` | `NULL_VALUE_COUNT`
    `static String` | `NULLABLE`
    `static String` | `PRECISION`
    `static String` | `PRIMARY_KEY`
    `static String` | `PRIMARY_KEY_MULTIPLICITY`
    `static String` | `PROCEDURE`
    `static String` | `PROCEDURE_PARAMETER`
    `static String` | `PROCEDURE_RESULT`
    `static String` | `RADIX`
    `static String` | `RELAIONAL_ENTITY`
    `static String` | `RELATIONSHIP`
    `static String` | `SCALE`
    `static String` | `SCHEMA`
    `static String` | `SEARCHABILITY`
    `static String` | `SELECTABLE`
    `static String` | `SIGNED`
    `static String` | `SUPPORTS_UPDATE`
    `static String` | `SYSTEM`
    `static String` | `TABLE`
    `static String` | `TABLE_HREF`
    `static String` | `TABLE_NAME`
    `static String` | `TABLE_XMI_UUID`
    `static String` | `TYPE`
    `static String` | `TYPE_HREF`
    `static String` | `TYPE_NAME`
    `static String` | `TYPE_XMI_UUID`
    `static String` | `UNIQUE`
    `static String` | `UNIQUE_CONSTRAINT`
    `static String` | `UNIQUE_KEY`
    `static String` | `UNIQUE_KEY_HREFS`
    `static String` | `UNIQUE_KEY_NAMES`
    `static String` | `UNIQUE_KEY_XMI_UUIDS`
    `static String` | `UNIQUE_KEYS`
    `static String` | `UPDATE_COUNT`
    `static String` | `UPDATEABLE`
    `static String` | `VIEW`

- - ### Field Detail

    - #### ACCESS_PATTERN

          static final String ACCESS_PATTERN

      See Also:
        Constant Field Values

    - #### ACCESS_PATTERN_HREFS

          static final String ACCESS_PATTERN_HREFS

      See Also:
        Constant Field Values

    - #### ACCESS_PATTERN_NAMES

          static final String ACCESS_PATTERN_NAMES

      See Also:
        Constant Field Values

    - #### ACCESS_PATTERN_XMI_UUIDS

          static final String ACCESS_PATTERN_XMI_UUIDS

      See Also:
        Constant Field Values

    - #### ACCESS_PATTERNS

          static final String ACCESS_PATTERNS

      See Also:
        Constant Field Values

    - #### AUTO_INCREMENTED

          static final String AUTO_INCREMENTED

      See Also:
        Constant Field Values

    - #### AUTO_UPDATE

          static final String AUTO_UPDATE

      See Also:
        Constant Field Values

    - #### BASE_TABLE

          static final String BASE_TABLE

      See Also:
        Constant Field Values

    - #### CARDINALITY

          static final String CARDINALITY

      See Also:
        Constant Field Values

    - #### CASE_SENSITIVE

          static final String CASE_SENSITIVE

      See Also:
        Constant Field Values

    - #### CATALOG

          static final String CATALOG

      See Also:
        Constant Field Values

    - #### CHARACTER_SET_NAME

          static final String CHARACTER_SET_NAME

      See Also:
        Constant Field Values

    - #### COLLATION_NAME

          static final String COLLATION_NAME

      See Also:
        Constant Field Values

    - #### COLUMN

          static final String COLUMN

      See Also:
        Constant Field Values

    - #### COLUMN_NAMES

          static final String COLUMN_NAMES

      See Also:
        Constant Field Values

    - #### COLUMN_SET

          static final String COLUMN_SET

      See Also:
        Constant Field Values

    - #### COLUMN_XMI_UUIDS

          static final String COLUMN_XMI_UUIDS

      See Also:
        Constant Field Values

    - #### COLUMNS

          static final String COLUMNS

      See Also:
        Constant Field Values

    - #### CURRENCY

          static final String CURRENCY

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE

          static final String DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### DIRECTION

          static final String DIRECTION

      See Also:
        Constant Field Values

    - #### DISTINCT_VALUE_COUNT

          static final String DISTINCT_VALUE_COUNT

      See Also:
        Constant Field Values

    - #### FILTER_CONDITION

          static final String FILTER_CONDITION

      See Also:
        Constant Field Values

    - #### FIXED_LENGTH

          static final String FIXED_LENGTH

      See Also:
        Constant Field Values

    - #### FOREIGN_KEY

          static final String FOREIGN_KEY

      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_HREFS

          static final String FOREIGN_KEY_HREFS

      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_MULTIPLICITY

          static final String FOREIGN_KEY_MULTIPLICITY

      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_NAMES

          static final String FOREIGN_KEY_NAMES

      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_XMI_UUIDS

          static final String FOREIGN_KEY_XMI_UUIDS

      See Also:
        Constant Field Values

    - #### FOREIGN_KEYS

          static final String FOREIGN_KEYS

      See Also:
        Constant Field Values

    - #### FORMAT

          static final String FORMAT

      See Also:
        Constant Field Values

    - #### FUNCTION

          static final String FUNCTION

      See Also:
        Constant Field Values

    - #### INDEX

          static final String INDEX

      See Also:
        Constant Field Values

    - #### INDEX_HREFS

          static final String INDEX_HREFS

      See Also:
        Constant Field Values

    - #### INDEX_NAMES

          static final String INDEX_NAMES

      See Also:
        Constant Field Values

    - #### INDEX_XMI_UUIDS

          static final String INDEX_XMI_UUIDS

      See Also:
        Constant Field Values

    - #### INDEXES

          static final String INDEXES

      See Also:
        Constant Field Values

    - #### LENGTH

          static final String LENGTH

      See Also:
        Constant Field Values

    - #### MATERIALIZED

          static final String MATERIALIZED

      See Also:
        Constant Field Values

    - #### MAX_VALUE

          static final String MAX_VALUE

      See Also:
        Constant Field Values

    - #### MIN_VALUE

          static final String MIN_VALUE

      See Also:
        Constant Field Values

    - #### MULTIPLICITY

          static final String MULTIPLICITY

      See Also:
        Constant Field Values

    - #### NAME_IN_SOURCE

          static final String NAME_IN_SOURCE

      See Also:
        Constant Field Values

    - #### NATIVE_TYPE

          static final String NATIVE_TYPE

      See Also:
        Constant Field Values

    - #### NULL_VALUE_COUNT

          static final String NULL_VALUE_COUNT

      See Also:
        Constant Field Values

    - #### NULLABLE

          static final String NULLABLE

      See Also:
        Constant Field Values

    - #### PRECISION

          static final String PRECISION

      See Also:
        Constant Field Values

    - #### PRIMARY_KEY

          static final String PRIMARY_KEY

      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_MULTIPLICITY

          static final String PRIMARY_KEY_MULTIPLICITY

      See Also:
        Constant Field Values

    - #### PROCEDURE

          static final String PROCEDURE

      See Also:
        Constant Field Values

    - #### PROCEDURE_PARAMETER

          static final String PROCEDURE_PARAMETER

      See Also:
        Constant Field Values

    - #### PROCEDURE_RESULT

          static final String PROCEDURE_RESULT

      See Also:
        Constant Field Values

    - #### RADIX

          static final String RADIX

      See Also:
        Constant Field Values

    - #### RELAIONAL_ENTITY

          static final String RELAIONAL_ENTITY

      See Also:
        Constant Field Values

    - #### RELATIONSHIP

          static final String RELATIONSHIP

      See Also:
        Constant Field Values

    - #### SCALE

          static final String SCALE

      See Also:
        Constant Field Values

    - #### SCHEMA

          static final String SCHEMA

      See Also:
        Constant Field Values

    - #### SEARCHABILITY

          static final String SEARCHABILITY

      See Also:
        Constant Field Values

    - #### SELECTABLE

          static final String SELECTABLE

      See Also:
        Constant Field Values

    - #### SIGNED

          static final String SIGNED

      See Also:
        Constant Field Values

    - #### SUPPORTS_UPDATE

          static final String SUPPORTS_UPDATE

      See Also:
        Constant Field Values

    - #### SYSTEM

          static final String SYSTEM

      See Also:
        Constant Field Values

    - #### TABLE

          static final String TABLE

      See Also:
        Constant Field Values

    - #### TABLE_HREF

          static final String TABLE_HREF

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          static final String TABLE_NAME

      See Also:
        Constant Field Values

    - #### TABLE_XMI_UUID

          static final String TABLE_XMI_UUID

      See Also:
        Constant Field Values

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

    - #### TYPE_HREF

          static final String TYPE_HREF

      See Also:
        Constant Field Values

    - #### TYPE_NAME

          static final String TYPE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_XMI_UUID

          static final String TYPE_XMI_UUID

      See Also:
        Constant Field Values

    - #### UNIQUE

          static final String UNIQUE

      See Also:
        Constant Field Values

    - #### UNIQUE_CONSTRAINT

          static final String UNIQUE_CONSTRAINT

      See Also:
        Constant Field Values

    - #### UNIQUE_KEY

          static final String UNIQUE_KEY

      See Also:
        Constant Field Values

    - #### UNIQUE_KEY_HREFS

          static final String UNIQUE_KEY_HREFS

      See Also:
        Constant Field Values

    - #### UNIQUE_KEY_NAMES

          static final String UNIQUE_KEY_NAMES

      See Also:
        Constant Field Values

    - #### UNIQUE_KEY_XMI_UUIDS

          static final String UNIQUE_KEY_XMI_UUIDS

      See Also:
        Constant Field Values

    - #### UNIQUE_KEYS

          static final String UNIQUE_KEYS

      See Also:
        Constant Field Values

    - #### UPDATE_COUNT

          static final String UPDATE_COUNT

      See Also:
        Constant Field Values

    - #### UPDATEABLE

          static final String UPDATEABLE

      See Also:
        Constant Field Values

    - #### VIEW

          static final String VIEW

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.